package tutorialJava.examenesEntrenamiento.examen20230902;

public class Ejercicio03_Frase {

	public static void main(String[] args) {
		String frase = "Hola1*   qué tal     estás";

		// División de la frase en palabras
		String palabras[] = frase.split("[ ]+");
		
		for (String palabra : palabras) {
			int contMayusculas = 0, contMinusculas = 0, 
					contDigito = 0, contNoAlfanumerico = 0;
			
			for (int i = 0; i < palabra.length(); i++) {
				if (Character.isUpperCase(palabra.charAt(i))) contMayusculas++;
				if (Character.isLowerCase(palabra.charAt(i))) contMinusculas++;
				if (Character.isDigit(palabra.charAt(i))) contDigito++;
				if (!Character.isLetterOrDigit(palabra.charAt(i))) contNoAlfanumerico++;
	
				if (contMayusculas > 0 && contMinusculas > 1
						&& contDigito > 0 && contNoAlfanumerico > 0) {
					System.out.println("Palabra seleccionada: " + palabra);
				}
			}
		}
	}

	
	
	
	
	
	
}
